//////////////////////////////////////////////////////////////////////////////////////////////////
// main.c - plik gwny programu prezentujcego poczenie z PCF8591
// 
// Autor: Radosaw Koppel          Kompilator: WinAVR 20050214
//////////////////////////////////////////////////////////////////////////////////////////////////
#include <avr\io.h>
#include <stdio.h>
#include <inttypes.h>
#include <avr\pgmspace.h>

#include "harddef.h"
#include "delay.h"
#include "makra.h"
#include "i2c.h"
#include "lcd.h"

int main(void)
{
	// Inicjacja
	PORTD = 1<<I2C_SDA | 1<<I2C_SCL;
	DDRD = 1<<I2C_SCL;
	DDRB = 1<<LCD_E | 1<<LCD_RS | 0x0F<<LCD_D4;
	lcd_init();
	// Koniec inicjacji

	// Tekst informacyjny w grnej linii wywietlacza
	lcd_str_P((prog_char*)PSTR("Dane z I0:"));
	lcd_command(LCDC_DDA | 64);
	
	// Konfiguracja przetwornika
	i2c_start();
	// bajt adresowy, zapis
	i2c_send(0x90);
	// bajt kontrolny
	i2c_send(0x00);
	i2c_stop();

	// Pobieranie danych
	for(;;)
	{
		lcd_command(LCDC_DDA | 64);
		// Odczyt danych
		i2c_start();
		// bajt adresowy, odczyt
		i2c_send(0x91);
		// Pobranie i wywietlenie danej
		lcd_dec(i2c_get(I2C_NACK));
		// Przysonicie reszty napisu jeli napis jest krtszy
		lcd_str_P((prog_char*)PSTR("  "));
		i2c_stop();
	}

	return 0;
}
